using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Aram_CRM_Project.BLL.Entity
{
    class Customer
    {

        private string _Id = string.Empty;
        private string _Name = string.Empty;
        private string _StartBirthDate = string.Empty;
        private string _EndBirthDate = string.Empty;
        private string _StartMarriageDate = string.Empty;
        private string _EndMarriageDate = string.Empty;
        private string _CityStateId = string.Empty;
        private string _CityStateName = string.Empty;
        private string _CustomerGroupId = string.Empty;
        private string _CustomerGroupName = string.Empty;
        private string _RelationshipWayId = string.Empty;
        private string _RelationshipWayName = string.Empty;
        private string _Tel = string.Empty;
        private string _Cell = string.Empty;
        private string _Address = string.Empty;
        private string _Stuff = string.Empty;
        private string _StartDate = string.Empty;
        private string _EndDate = string.Empty;

        public string EndDate
        {
            set { _EndDate = value; }
            get { return _EndDate; }
        }

        public string StartDate
        {
            set { _StartDate = value; }
            get { return _StartDate; }
        }

        public string Stuff
        {
            set { _Stuff = value; }
            get { return _Stuff; }
        }

        public string Tel
        {
            set { _Tel = value; }
            get { return _Tel; }
        }

        public string Cell
        {
            set { _Cell = value; }
            get { return _Cell; }
        }

        public string Address
        {
            set { _Address = value; }
            get { return _Address; }
        }

        public string CityStateName
        {
            set { _CityStateName = value; }
            get { return _CityStateName; }
        }

        public string CustomerGroupName
        {
            set { _CustomerGroupName = value; }
            get { return _CustomerGroupName; }
        }

        public string RelationshipWayName
        {
            set { _RelationshipWayName = value; }
            get { return _RelationshipWayName; }
        }

        public string EndMarriageDate
        {
            set { _EndMarriageDate = value; }
            get { return _EndMarriageDate; }
        }

        public string StartMarriageDate
        {
            set { _StartMarriageDate = value; }
            get { return _StartMarriageDate; }
        }

        public string StartBirthDate
        {
            set { _StartBirthDate = value; }
            get { return _StartBirthDate; }
        }

        public string EndBirthDate
        {
            set { _EndBirthDate = value; }
            get { return _EndBirthDate; }
        }

        public string Id
        {
            set { _Id = value; }
            get { return _Id; }
        }

        public string Name
        {
            set { _Name = value; }
            get { return _Name; }
        }

        public string CityStateId
        {
            set { _CityStateId = value; }
            get { return _CityStateId; }
        }

        public string CustomerGroupId
        {
            set { _CustomerGroupId = value; }
            get { return _CustomerGroupId; }
        }

        public string RelationshipWayId
        {
            set { _RelationshipWayId = value; }
            get { return _RelationshipWayId; }
        }
    }
}
